Lua_Jianbaoitem = class("Lua_Jianbaoitem",Lua_ListCell)
function Lua_Jianbaoitem:ctor(p)
    self:superCall("ctor",p);
end

function Lua_Jianbaoitem:buildShowItem()
    self.itemImg = Lua_ToolImage.new(self.content);
    self.itemImg:setDepth(5);
	-- self.itemImg:setScale(0.85, 0.85, 0.85);
    self.itemImg:setCanClick(false);
end

function Lua_Jianbaoitem:setData(data)
	self._data = data
	local reward  = Lua_ToolVo.new(tonumber(data.id),data.value,data.sub)
	-- reward.index = data.value
	-- reward.count = data.sub;
	reward.star = data.item_level;
    reward.packType = 999;
    self.itemImg.data = reward;
end

function Lua_Jianbaoitem:onPlayerSoundClick()
	Lua_PackUtil.showItemInfo(self.itemImg.data);

end

function Lua_Jianbaoitem:checkOutBound(showRect)
	if self._data == nil or self._data.tips_level ~= 1 then
		self.inViewEffect = false;
		return;
	end
	local rect = Lua_Rectangle.new(self.itemX , self.itemY , 20,20);
	if showRect:containeRect(rect) == true then
		self.inViewEffect = true;
	else
		self.inViewEffect = false;
	end
	self:updateEffectState();
end
function Lua_Jianbaoitem:updateEffectState()
	if self.inViewEffect == true and self._data.tips_level == 1 and self.itemImg.data.color >= 3 then
     	if self.itemImg.roundEff == nil then
		    self.itemImg:showRoundEff(true)
			self.itemImg.roundEff:setSacle(0.9,0.9,0.9);
			self.itemImg.roundEff:SetRenderQueue(self.itemImg.item_bg, 8, 10,false);
			
		end
		self.itemImg.roundEff:setEnable(true);
	else
		if self.itemImg.roundEff ~= nil then
			self.itemImg.roundEff:setEnable(false);
		end
	end
end