Lua_getJianBaoWindow = class("Lua_getJianBaoWindow", Lua_Window);
function Lua_getJianBaoWindow:ctor()
	self:superCall("ctor", self.list);
	self.isModel = true;
	self.windowName = "Lua_getJianBaoWindow";
	self.skinName = "getRewardWindow_skin";
	self.showBg = true;
	self.showClose = false;
	self.blackAlpha = 180/255;

end

function Lua_getJianBaoWindow:showWin(param)
	self:superCall("showWin", param);
	self.btnClose:addClickFuntion(self, self.onBtnCloseClick);
	if not self.itemImg then
		self.itemImg = Lua_ToolImage.new(self.content);
		self.itemImg:setDepth(3);
		self.itemImg:setLocation(0,50,0)
	end

	if not self.itemName then
		self.itemName = UICreate.createLabel(self.content, "", 0, -10, 360, 30, 26);
		self.itemName:setDepth(3);
		self.itemName.pivot = UIWidget.Pivot.Center;
	end
	for _,v in ipairs(DataCenter.JianBaoData.special_rewards) do
		if tonumber(param) == tonumber(v.id) then
			local reward  = Lua_ToolVo.createToolVo(tonumber(v.id),v.amount,v.bind)
			reward.index = v.amount
			reward.count = v.bind;
			reward.star = v.equipment.star
			reward.packType = 999;
			self.itemImg.data = reward;
			self.itemImg:showQualityEff(true)
			self.itemName.text = reward.colorName;
		end
	end
	-- self.fireworks = UICreate.createUIEffect(self.content, "/effects/scsEffects/jianbao_fireworks", "jianbao_fireworks", 0, 200);
	-- self.fireworks:SetRenderQueue(self.title, 1, 2, false);
end

function Lua_getJianBaoWindow:onBtnCloseClick()
	self:hide();
	DataCenter.JianBaoData.isrewards = false
end